<div class="container">
  <div class="inbox_msg">
        <!-- partie liste message-->
        <div class="inbox_people">
       
          <div class="alert alert-dark" role="alert">
            <a href="{% url 'contacts' %}" class="alert-link"><svg width="3em" height="3em" viewBox="0 0 16 16" class="bi bi-person-plus-fill" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
            <path fill-rule="evenodd" d="M1 14s-1 0-1-1 1-4 6-4 6 3 6 4-1 1-1 1H1zm5-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm7.5-3a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-.5.5h-2a.5.5 0 0 1 0-1H13V5.5a.5.5 0 0 1 .5-.5z"/>
            <path fill-rule="evenodd" d="M13 7.5a.5.5 0 0 1 .5-.5h2a.5.5 0 0 1 0 1H14v1.5a.5.5 0 0 1-1 0v-2z"/>
            </svg>
            </a>
          
          </div>
          <div class="inbox_chat">
            <div id="url">{{ url }}</div>
          {% for chatroom in chatrooms %}
            <div class="chat_list">
              <div class="chat_people">
               <div class="chat_ib">
                <h4>
                  <a href="{{ chatroom.id }}" class="badge badge-dark">{{ chatroom.room_name }}
                  
                  </a>
                </h4>
                {% for member in chatroom.members.all %}
                <h5>{{ member }}</h5>
                {% endfor %}
              </div>
            </div>
          </div>
          {% endfor %}
        </div>
      </div>
      
          <!-- partie chat-->
      <div>
            <div class="mesgs" id='myChat'>
              <div class="alert alert-info" role="alert">{% if room_choice %}
                
                <h2 class="text-center">{% for item in room_choice %}
                {{ item.room_name }}
                {% endfor %}</h2>
              </div>
              <div class="msg_history">
                <ul id="msg-list" class="list-group">
                {% for chat in chats %}
                  <li>
                  <div class="incoming_msg">
                    <div class="incoming_msg_img">
                      <img src="{{ chat.author.avatar.url }}" alt="sunil" class="rounded-circle">
                      {{ chat.author }}
                    </div>
                    <div class="received_msg">
                      <div class="received_withd_msg">
                        <span class="time_date"> {{ chat.date }}</span>
                        <p>{{ chat.message }}</p>
                      </div>
                    </div>
                  </div><br>
                </li>
              {% endfor %}
            </ul>
          </div>
          <!-- partie form-->
          <div class="type_msg">
            <form id="chatform" class="chatform" name="chatting"  method="post">
              <div id="chat-bottom" >
                {% csrf_token %}
                {{ chatform }}
                <input  type="hidden"  name="room_name" value="{% for item in room_choice %}
                {{ item.id }}{% endfor %}">
                <input  type="hidden"  name="author" value="{{ request.user.id}}">
                <input type="submit"value="Send"/>
              </div>
            </form>        
          </div>
      </div>
    </div>
      {% else %}
      {% include 'main/no_chat.html' %}
      {% endif %}
  </div>
</div>

  
